struts-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Christoph Nenning <Christoph.Nenn...@lex-com.net>
Subject Re: [VOTE] Struts 2.5
Date Mon, 09 May 2016 08:38:04 GMT
> 
> I have checked it and with strict-method-invocation="false" on the 
package
> element
> 
> *Messages*:
> 
> org.events.ui.struts2.editor.MyEdit.expirez()
> 
> ​java.lang.NoSuchMethodException:
> org.events.ui.struts2.editor.EventEdit.expirez()​
> 
> ​
> Where with it "true" it uses
> 
> <allowed-methods>..,expire,..</allowed-methods>​
> 
> ​Are you sure its on the correct package?
> ​
> 

My package extends json-default, not struts-default. I think that's why. 
As BETA1 was released we had a discussion about disbaling SMI in package 
hierarchies. This still seems to be an issue.


Regards,
Christoph


This Email was scanned by Sophos Anti Virus
Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message